### Hierarchy

- Events
  - PoiLayer

## Index

### Constructors

- constructor

### Properties

- _layers
- _map
- _source
- baseUrl
- color
- draggable
- id
- type
- _cnt

### Methods

- addTo
- off
- on
- removeFrom

## Constructors

### constructor

- new PoiLayer(options?: PoiLayerOptions): PoiLayer

- - Defined in PoiLayer.ts:20

  #### Parameters

  - ##### Optional options: PoiLayerOptions

  #### Returns PoiLayer

## Properties

### _layers

_layers: Layer[]

- Defined in PoiLayer.ts:14

### _map

_map: any

- Defined in PoiLayer.ts:16

### _source

_source: Source

- Defined in PoiLayer.ts:15

### baseUrl

baseUrl: string

- Defined in PoiLayer.ts:18

### color

color: string

- Defined in PoiLayer.ts:20

### draggable

draggable: boolean

- Defined in PoiLayer.ts:17

### id

id: string

- Defined in PoiLayer.ts:13

### type

type: string

- Defined in PoiLayer.ts:19

### Static Private _cnt

_cnt: number

- Defined in PoiLayer.ts:12

## Methods

### addTo

- addTo(map: Map): PoiLayer

- - Defined in PoiLayer.ts:80

  #### Parameters

  - ##### map: Map

  #### Returns PoiLayer

### off

- off(event?: string, listener?: any): PoiLayer

- Overwrites Events.off

  - Defined in PoiLayer.ts:115

  #### Parameters

  - ##### Optional event: string

  - ##### Optional listener: any

  #### Returns PoiLayer

### on

- on(event: string, listener: any): PoiLayer

- Overwrites Events.on

  - Defined in PoiLayer.ts:102

  #### Parameters

  - ##### event: string

  - ##### listener: any

  #### Returns PoiLayer

### removeFrom

- removeFrom(map: Map): PoiLayer

- - Defined in PoiLayer.ts:91

  #### Parameters

  - ##### map: Map

  #### Returns PoiLayer

Generated using TypeDoc